Gnome-Doc-Utils

DJ Lucas dj at linuxfromscratch.org
Fri Nov 25 01:04:03 PST 2005


Randy McMurchy wrote:
> 
> Gnome-doc-utils has a required dependency of Scrollkeeper, which
> has a required dependency of libxslt, which has a required depend
> of libxml2. What is your point?
> 

The point is that Python must be built before libxml2.  Python is listed 
(correctly) only as an optional dep of libxml2.  Unfortunately, 
gnome-doc-utils is useless if the Python dep is not met for libxml2 as 
the required libxml2 module does not exist.  I've always built libxml2 
very early in the build process, of course my future choice of build 
order has now changed, but I think it warrants a note.

-- DJ Lucas




More information about the blfs-dev mailing list